Page MenuHomePhabricator

Bureaucrats on WMF wikis to add and remove 'translationadmin' by default
Closed, ResolvedPublic

Description

MediaWiki-extensions-Translate apparently has not configured any group by default who should be able to assign and remove the translationadmin group by default. The solution has been to assign on each wiki where the translate extension is enabled the translationadmin permission to be added and removed by, mostly, users in the bureaucrat user group. I suggest that we make that default for wikis using the translate extension via a CommonSettings.php configuration, and then clean InitialiseSettings.php for redundant entries but keeping customization by local wikis which have decided this group to be granted and removed by administrators, for example. This will prevent leftovers, such as in wikimania2018wiki, where no user locally is able to assign this, and as such stewards are required for this.

The other solution would be to add on MediaWiki-extensions-Translate a default, but maybe it'd be better to have it migrated to extension.json first (T87985).

Event Timeline

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptOct 23 2017, 9:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 385953 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] Extension:Translate default permissions for Wikimedia wikis

https://gerrit.wikimedia.org/r/385953

If desired, we can keep out the Groups[Add|Remove]ToSelf. But looking at my patch, all but a couple of wikis have granted bureaucrats the ability to add/remove users to/from the 'translationadmin' group so IMHO it only makes sense to make it default here.

With regards to making it default on MediaWiki-extensions-Translate; I can't see in rETRA extension-Translate any 'translationadmin' permission configured so I feel the approach I took is the easiest one.

We had earlier some groups created by default by Translate but they were removed and I think it is a bad idea. I think a good limit is to assign the rights to user/sysop by default, where it makes sense, and leave all the rest for wikis to customize.

Okay so discarding the option to make the changes in the extension itself.

MarcoAurelio triaged this task as Lowest priority.Nov 8 2017, 3:30 PM
MarcoAurelio raised the priority of this task from Lowest to Low.Dec 23 2017, 9:34 AM

https://gerrit.wikimedia.org/r/#/c/385953/ seems now ready. Unless someone objects, I'm planning to get this merged on January after the code freeze is over.

Change 385953 merged by jenkins-bot:
[operations/mediawiki-config@master] Extension:Translate default permissions for Wikimedia wikis

https://gerrit.wikimedia.org/r/385953

MarcoAurelio closed this task as Resolved.Jan 3 2018, 7:51 PM
MarcoAurelio moved this task from ready to archive on the User-MarcoAurelio board.

Mentioned in SAL (#wikimedia-operations) [2018-01-03T19:52:59Z] <thcipriani@tin> Synchronized wmf-config/CommonSettings.php: SWAT: [[gerrit:385953|Extension:Translate default permissions for Wikimedia wikis]] T178793 (duration: 01m 02s)